/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.dbc.condition.parser;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 */
public class ImpliesExpression extends Expression
{
   BooleanExpression lhs;
   BooleanExpression rhs;

   public ImpliesExpression(BooleanExpression lhs, BooleanExpression rhs)
   {
      this.lhs = lhs;
      this.rhs = rhs;
      lhs.setParent(this);
      rhs.setParent(this);
      
   }

   public BooleanExpression getRhs()
   {
      return rhs;
   }

   public BooleanExpression getLhs()
   {
      return lhs;
   }

   protected void accept(ExpressionVisitor visitor)
   {
      visitor.visit(this);
   }
}
